System.register([], function (_export, _context) {
  "use strict";

  return {
    setters: [],
    execute: function () {
      const __SystemJSRewritingHack = {};
      _recorder_._src_client_vivide_utils_js = _recorder_._src_client_vivide_utils_js || {};
      const contentFolder = lively4url + '/src/client/vivide/scripts/';

      _export('contentFolder', contentFolder);

      Object.defineProperty(_recorder_._src_client_vivide_utils_js, 'contentFolder', {
        get() {
          return contentFolder;
        },

        set(thisIsVererySecretVariableName) {
          _export('contentFolder', contentFolder = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
      const scriptFolder = contentFolder + 'scripts/';

      _export('scriptFolder', scriptFolder);

      Object.defineProperty(_recorder_._src_client_vivide_utils_js, 'scriptFolder', {
        get() {
          return scriptFolder;
        },

        set(thisIsVererySecretVariableName) {
          _export('scriptFolder', scriptFolder = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
      const stepFolder = contentFolder + 'steps/';

      _export('stepFolder', stepFolder);

      Object.defineProperty(_recorder_._src_client_vivide_utils_js, 'stepFolder', {
        get() {
          return stepFolder;
        },

        set(thisIsVererySecretVariableName) {
          _export('stepFolder', stepFolder = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
      const applicationFolder = contentFolder + 'applications/';

      _export('applicationFolder', applicationFolder);

      Object.defineProperty(_recorder_._src_client_vivide_utils_js, 'applicationFolder', {
        get() {
          return applicationFolder;
        },

        set(thisIsVererySecretVariableName) {
          _export('applicationFolder', applicationFolder = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
    }
  };
});